Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 136679 - Modules using /2 project.xml schema not found in NetBeans platform ZIP
Modules using /2 project.xml schema not found in NetBeans platform ZIP
Status: VERIFIED FIXED
Product: apisupport
Classification: Unclassified
Component: Project
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Jesse Glick
issues@apisupport
61fixes2-fixed
: SIMPLEFIX
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-06 17:39 UTC by ibeaumont
Modified: 2008-07-10 17:36 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description ibeaumont 2008-06-06 17:39:56 UTC
I've added the sources for the netbeans platform as a zip file in the netbeans platform manager but cannot step in to
the source code of stuff in the api.visual package.  

If I unzipped the source code and add the root directory then it works fine.

Please see this msg thread
http://www.nabble.com/Adding-platform-source-td17690034.html#a17690309

where someone else reported the same issue.
Comment 1 Jesse Glick 2008-06-06 19:32:47 UTC
Once reproduced, easy to fix. core-main #745e4e4e30be
Comment 2 Quality Engineering 2008-06-07 16:09:44 UTC
Integrated into 'main-golden', available in NB_Trunk_Production #243 build
Changeset: http://hg.netbeans.org/main/rev/745e4e4e30be
User: Jesse Glick <jglick@netbeans.org>
Log: #136679: /2 schema modules not correctly detected in NB platform source ZIPs.
Comment 3 pgebauer 2008-06-10 13:39:16 UTC
This issue has been nominated for NB IDE 6.1 patch2 although it hasn't been verified by QE yet. If it isn't verified by
12-Jun-08, it's nomination will be removed.
Comment 4 Jaromir Uhrik 2008-06-11 10:01:16 UTC
Verified. Works fine in the following build now:

Product Version: NetBeans IDE 6.1 (Build 200804211638)
Java: 1.5.0_13; Java HotSpot(TM) Client VM 1.5.0_13-119
System: Mac OS X version 10.5.2 running on i386; MacRoman; en_US (nb)
Comment 5 Jaromir Uhrik 2008-06-11 10:04:30 UTC
Sorry for the confusion with the build number. I wanted to say that it is working in the following (and not in the
pasted  previously):

Product Version: NetBeans IDE Dev (Build 200806110005)
Java: 1.5.0_13; Java HotSpot(TM) Client VM 1.5.0_13-119
System: Mac OS X version 10.5.2 running on i386; MacRoman; en_US (nb)
Comment 6 pgebauer 2008-06-12 12:56:58 UTC
The fix has been ported into the release61_fixes branch:

http://hg.netbeans.org/release61_fixes/36a147d78e2d
Comment 7 Jesse Glick 2008-06-12 22:22:37 UTC
I guess you meant:

http://hg.netbeans.org/release61_fixes/rev/36a147d78e2d
                                       ^^^^
Comment 8 Tomas Danek 2008-06-19 16:16:41 UTC
verified in 6.1 patch 2


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo